# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nicocrawler/version'

Gem::Specification.new do |spec|
  spec.name          = "nicocrawler"
  spec.version       = Nicocrawler::VERSION
  spec.authors       = ["Masami Yonehara"]
  spec.email         = ["zeitdiebe@gmail.com"]
  spec.description   = %q{crawler of niconico-douga}
  spec.summary       = %q{crawler of niconico-douga}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'rest-client'
  spec.add_runtime_dependency 'nori'
  spec.add_runtime_dependency 'nokogiri'
  spec.add_runtime_dependency 'nicoapi-core'
  spec.add_runtime_dependency 'nicoapi-parser'

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "watchr"
  spec.add_development_dependency "rspec"
end
